﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Install.ascx.cs" Inherits="Umbraco.Courier.Dialogs.Install1" %>
<asp:Panel ID="installed" runat="server">
<h3>Courier Installed</h3>
<p>Umbraco Courier Version 1.3 is now installed!</p>
<h3>Configure target server</h3>
<p>In order for Courier to work, you'll need to specify the address of a target server (unless this <strong>is</strong> the target). A <em>target server</em> 
is the server where data will be <strong>moved to</strong>, where as a <em>source server</em> is where data is <strong>moved from</strong>.</p>
<p>
<strong>Enter the hostname of the target server below if you know it and click 'update configuration'</strong><br />
(example: 'staging.mysite.com' (no http://))<br />
<p><asp:Label ID="Label1" runat="server" AssociatedControlID="hostname">Hostname: </asp:Label> <asp:TextBox ID="hostname" runat="server"></asp:TextBox>
<asp:RequiredFieldValidator
    ID="RequiredFieldValidator1" ControlToValidate="hostname" runat="server" Text="*" ErrorMessage="*"></asp:RequiredFieldValidator></p>
<p><asp:Label ID="Label2" runat="server" AssociatedControlID="hostname">Text in context menu: </asp:Label> <asp:TextBox ID="alias" runat="server">Staging</asp:TextBox>
<asp:RequiredFieldValidator
    ID="RequiredFieldValidator2" ControlToValidate="alias" runat="server" Text="*" ErrorMessage="*"></asp:RequiredFieldValidator></p>
<p>     
    <asp:Button ID="updateConfig" runat="server" Text="Update Configuration" 
        onclick="updateConfig_Click" />
</p>
</asp:Panel>
<asp:panel ID="configured" runat="server" Visible="false">
<div class="success">
<h3>Courier Configured and ready!</h3>
<p>Congratulations! Courier is now properly installed and configured on this machine. Remember to install Courier on the target server as well!</p>
<p>The target server is: <asp:literal ID="targetServer" runat="server"></asp:literal></p>
</div>
</asp:panel>
<asp:Panel ID="failed" runat="server" Visible="false">
<h3>Configuration error!</h3>
<p>Courier failed in updating the configuration file. It might be due to insufficient permissions. Please update the <strong>/umbraco/plugins/UmbracoCourier/Settings/courier.config</strong> file manually</p>
<p><strong>Error message:</strong></p>
<p><asp:Literal ID="configError" runat="server"></asp:Literal></p>
</asp:Panel>
<p>
<small>Learn more on <a href="http://umbraco.org/redir/afterCourierInstall" target="_blank">how to use Courier on the umbraco.org website</a></small>
</p>
<p>
<small><strong>Remember:</strong> You can always change configuration of Courier in the /umbraco/plugins/UmbracoCourier/Settings/courier.config file</small>
</p>
